---
title: 'ORCID - Researchers uniquely identified and connected'
author: Peter Baumgartner
date: '2018-08-26'
slug: orcid-researchers-uniquely-identified
categories:
  - open-science
tags:
  - infrastructure
  - academic-networking
toc: yes
lastmod: 2019-06-02
draft: no
summary: 'I applied for my ORCID-ID already several years ago, but only yesterday I understood the advantage of yet another web presence: ORCID is a non-profit organization and aims to identify researchers uniquely and to connect their contributions and affiliations across disciplines, borders, and time. With this post, I will tell you some advantages of ORCID to convince you to join.'
---

Do you know [ORCID](https://orcid.org/)? I applied for my [ORCID-ID](https://orcid.org/0000-0003-4526-8791) already several years ago, but only yesterday I understood the advantage of yet another web presence: ORCID is a non-profit organization and aims to identify researchers uniquely and to connect their contributions and affiliations across disciplines, borders, and time. With this post, I tell you some advantages of ORCID to convince you to join.

## What is an ORCID ID?

The last two week I worked hard to finish the 'official' nitty-gritty this web presence: CV, downloads for [publications](publication), [disclaimer](/disclaimer) and [privacy policy](/privacy). By this occasion, I cleaned up my .bib files and subsequently my [Zotero](https://www.zotero.org/petzi) and [ORCID](https://orcid.org/0000-0003-4526-8791) presence.

The goal of ORCID is to provide an identifying infrastructure for individual research activities. The main idea is to connect research, funding, and publishing institutions with the individual researcher via a unique ID. It is similar to an electronic portfolio where you can establish so-called 'trusted' connections, e.g., where institutions are allowed to look into your scientific record and to add information to it. These institutional connections are --- by the way --- also the funding structure of ORCID: Membership organizations have to pay a pretty high subscription fee (starting with 5.150 US \$) to connect and use their infrastructure with ORCID.

However, this is not very important to me. At the time of this writing (2018-08-26) there are solely 910 member organization, only four of them from Austria:

-   The Austrian Science Fund (FWF)
-   Technical University Graz (TU Graz)
-   University of Natural Resources and Applied Life Sciences Vienna (BOKU) and
-   University of Vienna

Only TU Graz has already established integration with ORCID. The other three universities are still in the process of planning the technical infrastructure for this bonding.

## A personal, digital, international and persistent name identifier

However, ORCID is already very advantageous for the individual researcher: The ORCID ID gives you a personal, digital, international, and persistent name identifier. This ID outlives the change of working positions with their associated web presence and email address. More important: The ID identifies you unmistakable, e.g., independently name changes with marriage or a pool of people with precisely the same name.

{{< figure src="images/orcid-without-border.png?classes=border" height="300px" alt="QR Code for my ORCID ID" title="QR Code for my ORCID ID" >}}

Especially the last case is crucial for me: I know from a funny event ([1st International Meeting of people with the family name of 'Baumgartner'](http://peter.baumgartner.name/2012/09/16/1-baumgartner-treffen/?highlight=1.%20internationales%20baumgartner%20treffen)) that there are about 4.700 (!) Baumgartner's in Austria alone and perhaps several thousand more in the world. As my given name 'Peter' is also trendy, there are always a bunch of Peter Baumgartner's in every database. Even when I want to redeem a voucher in a small shop, I have to provide my address as there are two or three names with "Peter Baumgartner" in their database.

This coincidence of names is very cumbersome when somebody tries to find my publications: There are way too many publications under my name! And not in all cases, you can decide and separate them with adding the research field.

There is especially another [Peter Baumgartner in Computer Science](https://people.csiro.au/B/P/Peter-Baumgartner/) situated for many years in Koblenz (Germany). As I am working on E-Learning issues, you can imagine that there arose many times confusion: Sometimes we got even E-Mails for the other person. This Peter Baumgartner has now changed to Australia, but this has not helped much to clear up the situation as the confusion between Australia and Austria is legendary.

If you Google my name, you will find several others Peter Baumgartner, especially a top-rated speaker and coach: [Peter Baumgartner, der Mutmacher](https://www.peterbaumgartner.at/) (Peter Baumgartner 'the bolsterer' from 'to bolster somebody up'). ORCID helps to prevent precisely this mistaking identity!

## Other similar initiatives

There are other similar initiatives like [Scopus Author ID](https://www.scopus.com/) and [ResearcherID](https://www.researcherid.com/).

> ResearcherID (developed by Thomas Reuters and used in Web of Science) and Scopus Author ID (generated by Elsevier and utilized in Scopus) are two examples of these efforts. Whereas ORCID is "a platform-agnostic identifier," ResearcherID and Scopus Author ID connect to proprietary, subscription-based systems. (Quoted from the [Library of University of Chicago](http://guides.lib.uchicago.edu/c.php?g=298332&p=1989825))

Remains to mention: ORCID is free, platform independent and [Open Source](https://github.com/ORCID/ORCID-Source) under the [MIT License](https://en.wikipedia.org/wiki/MIT_License).

{{< figure src="images/orcid-screenshot.png" title="Screenshot of my the upper part of my ORCID page" alt="Screenshot of my the upper part of my ORCID page" height="400px" >}}

## Conclusion

ORCID aims to be a part of a broader social and technical infrastructure for uniquely identifying researchers with their work, affiliations, funding, and publishing institutions. Almost 5.2 Million researchers have already applied for their free ORCID ID. In the long run, many institutions engaged with research (universities, funding agencies, publishers) should be connected and form part of this global infrastructure. Even if this is not the case at the moment, applying has already some advantages: It gives you another place to present your work, e.g., a free web presence and provides you furthermore with a personal, digital, international and persistent name identifier.

{{< vimeo 237730655 >}}

<span class='Z3988' title='url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=blogPost&amp;rft.title=ORCID%20-%20Researchers%20uniquely%20identified%20and%20connected%20::%20Open%20Science%20Education&amp;rft.source=ORCID%20-%20Researchers%20uniquely%20identified%20and%20connected&amp;rft.rights=CC%20BY-SA%204.0&amp;rft.description=I%20applied%20for%20my%20ORCID-ID%20already%20several%20years%20ago,%20but%20only%20yesterday%20I%20understood%20the%20advantage%20of%20yet%20another%20web%20presence:%20ORCID%20is%20a%20non-profit%20organization%20and%20aims%20to%20identify%20researchers%20uniquely%20and%20to%20connect%20their%20contributions%20and%20affiliations%20across%20disciplines,%20borders,%20and%20time.%20With%20this%20post,%20I%20will%20tell%20you%20some%20advantages%20of%20ORCID%20to%20convince%20you%20to%20join.&amp;rft.identifier=https%3A%2F%2Fnotes.peter-baumgartner.net%2F2018%2F08%2F26%2Forcid-researchers-uniquely-identified&amp;rft.aufirst=Peter&amp;rft.aulast=Baumgartner&amp;rft.au=Peter%20Baumgartner&amp;rft.date=&amp;rft.language=en'></span>
