---
title: 'Grammarly: A Case Study'
author: Peter Baumgartner
date: '2019-06-09'
slug: grammarly-a-case-study
categories:
  - app
  - web-service
  - case-study
tags:
  - grammarly
lastmod: ~
summary: '[In another post](/post/grammarly-improves-your-writing/), I reported on my general experiences with [Grammarly](https://www.grammarly.com). I commented on different use cases, mainly with text pieces from my blog writing. By contrast, this post here focuses on a case study with a literary text piece from a novel.'
toc: no
commentable: true
draft: no
---

[In another post](/post/grammarly-improves-your-writing/), I reported on my general experiences with [Grammarly](https://www.grammarly.com). I commented on different use cases, mainly with text pieces from my blog writing. By contrast, this post here focuses on a case study with a literary text piece from a novel.

I have taken the first 5,000 characters of a still unpublished German novel from a friend of mine. For an informed assessment, I am not just going to explain the different steps but will also provide the resulting text documents as attachments.

## The different phases of my workflow

I ran the text passage through [Google Translate](https://translate.google.com/) and revised the text with Grammarly in two steps.

<img class="border shadow" src="images/grammarly-after-google-translate-min.png" alt="Screenshot of Grammarly alerts after Google Translate"  width="100%"/> <figcaption><h4>**Figure 1:** Screenshot of Grammarly alerts after Google Translate</h4></figcaption>

> -   **Step 1:** This is the German [original text](files/step1_original-text-German.pdf) passage.
> -   **Step 2:** The [text after Google Translate](files/step2_google-translate-English.pdf) (1 minute). In several passages, it is not understandable, and it feels awkward and clumsy.
> -   **Step 3:** Working through the text with [Grammarly uncritically](files/step3_grammarly-without-thinking.pdf), e.g., without reading and thinking, only following Grammarly's alerts (2 minutes). Grammarly comes up with 19 alerts, almost half of them about spelling (5) and punctuation (4). Grammarly does **not** detect the incomprehensible sentences or clauses.
> -   **Step 4:** Working through the text with [Grammarly thoroughly](files/step4_grammarly-with-thorougly-revision.pdf), e.g., finding (with [dict.cc](https://www.dict.cc/)) better suited vocabulary and changing sentence structures where appropriate to get a more correct and lively English (75 minutes).

I believe the final text is much better; even it is still imperfect and flawed. Please keep in mind that I am not an English native speaker.

The essential conclusion I want to draw after this experiment: The resulting text passage is in a quality I would have never achieved without the three tools I mentioned: `Google Translate,` `dict.cc,` and `Grammarly`\].

<img class="border shadow" src="images/grammarly-pricing-min.png" alt="Screenshot of Grammarly plans and pricing"  width="100%"/> <figcaption><h4>**Figure 2:** Screenshot of Grammarly plans and pricing</h4></figcaption>

## Comments desired!

I would love to get comments from you:

-   If you are a German native speaker: What do you think about the quality of the result concerning the time needed?
-   If you are an English native speaker: Would you confirm that the Google Translator text is clumsy and in some passage not understandable? And first and foremost: Is the quality of the final version not all that bad and tolerable?
-   If you are neither a German nor English native speaker: What do you think about the final result respective to your English language skills? Would you think that Grammarly could improve your English?
-   And to all of you: Did the final text passage entice you to read more of the book? Should my friend invest 140 bucks to buy the premium version of Grammarly for one year and spend her leisure time to publish her novel?[^1]

<span class='Z3988' title='url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=blogPost&amp;rft.title=Grammarly:%20A%20Case%20Study%20::%20Open%20Science%20Education&amp;rft.source=Grammarly:%20A%20Case%20Study&amp;rft.rights=CC%20BY-SA%204.0&amp;rft.description=[In%20another%20post](/2019/06/07/grammarly-improves-your-writing),%20I%20reported%20on%20my%20general%20experiences%20with%20[Grammarly](https://www.grammarly.com).%20I%20commented%20on%20different%20use%20cases,%20mainly%20with%20text%20piece%20from%20my%20blog%20writing.%20By%20contrast,%20this%20post%20here%20focuses%20on%20a%20case%20study%20with%20a%20literary%20text%20piece%20from%20a%20novel.&amp;rft.identifier=https%3A%2F%2Fnotes.peter-baumgartner.net%2F2019%2F06%2F09%2Fgrammarly-a-case-study&amp;rft.aufirst=Peter&amp;rft.aulast=Baumgartner&amp;rft.au=Peter%20Baumgartner&amp;rft.date=&amp;rft.language=en'></span>

[^1]: Just a rough calculation: For 5,000 characters I needed all in all about 80 minutes. My friend's English is better so that she would be possibly faster (and better) in the translation. But let us continue the calculation with 80 minutes. The novel has 450,000 characters = 90 x 5,000 character, i.e., 90 x 80 minutes = 8,100 minutes or 135 hours or 27 working days á 5 hours.
