---
title: Install Blogdown (Part 1)
author: Peter Baumgartner
date: '2017-09-19'
categories:
  - how-to
  - slide
tags:
  - blogdown
  - hugo
  - installation
summary: How to install Hugo with a specified theme using R, RStudio and blogdown
slides:
  # Choose a theme from https://github.com/hakimel/reveal.js#theming
  theme: black
  # Choose a code highlighting style (if highlighting enabled in `params.toml`)
  #   Light style: github. Dark style: dracula (default).
  highlight_style: dracula
---

## How to use this presentation?

* Use the controls on the right bottom of the screen.
* Watch out: sometimes there is not only left & right, but also top & down.
* Press `ALT` key (`CTRL` in Linux) and click on any element to zoom towards it. Click again to zoom back out.
* For an overview about the slide structure press `ESC`.
* To end the presentation go back with the browser.

---

## LATEX Installation: Requirements

At first you have to install 

- [R](https://cran.r-project.org/) latest version and 
- [RStudio](https://www.rstudio.com/products/RStudio/) ([Preview > v.1.1](https://www.rstudio.com/products/rstudio/download/preview/)). 

Then start RStudio: You will see the following window...

---

## 1. Create new project

<img src="images/create-new-project.png" style="width: 70%" />



---

## 2. Choose new directory

<img src="images/create-new-directory.png" style="width: 70%" />


---

## 3. Select website using blogdown

<img src="images/create-website-using-blogdown.png" style="width: 70%" />


---

## 4. Choose directory name & location

<img src="images/create-website-using-hugo-and-blogdown.png" style="width: 70%" />


___


## 4a Pick your [preferred theme](https://themes.gohugo.io/)

<img src="images/hugo-themes.png" style="width: 70%" />


___

## 4b Select theme & get URL

<img src="images/academic-theme.png" style="width: 70%" />


___

## 4c Finish form and install

<img src="images/create-website-using-hugo-and-blogdown.png" style="width: 70%" />


___

## 4d Click "Create Project" button

Click "Create Project" Button and wait some seconds. RStudio will install

- Hugo
- your selected theme and
- blogdown with all dependencies

---

## 5 Installation is finished!

<img src="images/four-pane-view-after-installation.png" style="width: 70%" />

---

## Close presentation

Press back button of your browser.

(not back button of the slide!).

<span class='Z3988' title='url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=blogPost&amp;rft.title=Install%20Blogdown%20(Part%201)%20::%20Open%20Science%20Education&amp;rft.source=Install%20Blogdown%20(Part%201)&amp;rft.rights=CC%20BY-SA%204.0&amp;rft.description=How%20to%20install%20Hugo%20with%20a%20specified%20theme%20using%20R,%20RStudio%20and%20blogdown&amp;rft.identifier=https%3A%2F%2Fnotes.peter-baumgartner.net%2Fslide%2Fblogdown-tutorial-01&amp;rft.aufirst=Peter&amp;rft.aulast=Baumgartner&amp;rft.au=Peter%20Baumgartner&amp;rft.date=&amp;rft.language=en'></span>
