---
title: 'R installieren (Deutsch)'
author: Peter Baumgartner
date: '2018-01-02'
categories:
  - how-to
  - slide
  - german
tags:
  - r
  - installation
slides:
  # Choose a theme from https://github.com/hakimel/reveal.js#theming
  theme: black 
  # Choose a code highlighting style (if highlighting enabled in `params.toml`)
  #   Light style: github. Dark style: dracula (default).
summary: Tutorial zum Installieren der Statistik-Software R
---

## R installieren

**Bedienung dieser Präsentation**

- Steuerungselemente: Pfeile rechts unten
- **Achtung:** Manchmal gibt es außer vor und zurück auch hinauf und hinunter
- Folienstruktur-Überblick: ESC-Taste
- Beenden: Mit dem Browser zurück gehen

---

## Voraussetzungen

Bevor wir komfortabel mit R arbeiten können, müssen wir einige Programme installieren

1. Die aktuelle Version von [R](https://cran.r-project.org/)
2. Die aktuelle Version der Entwicklungsumgebung [RStudio](https://www.rstudio.com/products/rstudio/download/)
3. Die aktuelle Version von [LaTeX](https://www.latex-project.org/get/)

Alle Programme sind [Open Source](http://praxistipps.chip.de/open-source-was-ist-das-genau_12877): Sowohl Quellcode als auch Programme sind frei und kostenlos erhältlich.

---

## Neuinstallation von R

- Wir beginnen mit der **Neu**-Installation von R 
- Und zwar für [Mac OS](https://cran.r-project.org/bin/macosx/) und für [Windows](https://cran.r-project.org/bin/windows/)

**ACHTUNG:** Wenn Sie bereits (eine ältere Version von) R installiert haben, dann folgen Sie statt dessen [for Windows dieser Anleitung ](http://bioinfo.umassmed.edu/bootstrappers/bootstrappers-courses/courses/rCourse/Additional_Resources/Updating_R.html#updating-on-mac-and-ubuntu) and [for Mac dieser Anleitung](https://www.quora.com/What-is-the-easiest-way-to-update-R-in-OSX/answer/Kshira-Saagar).

---

## Die R-Startseite [CRAN](https://cran.r-project.org/) aufrufen

<img src="images/1-0_CRAN-Startpage-min.png" style="width: 70%" />


---

## Wählen Sie Ihre R-Version aus

- Mac: Klicken Sie auf [Download-Seite für Mac OS X](https://cran.r-project.org/bin/macosx/)
- Windows: gehen Sie zur nächsten Folie (Pfeil rechts)
- Weiter für Mac: Pfeil nach unten wählen

<img src="images/1-1_Choose-Mac-Download-min.png" style="width: 70%" />

___

### 1a R-Installation für MacOS X

- Klicken Sie auf die neueste R-Version 
- (hier `R-3.4.3.pkg`: Stand Januar 2018)

<img src="images/1-2_R-MacOS-Download-min.png" style="width: 70%" />



___


### 1b Datei .pkg speichern

- Es öffnet sich nun ein Fenster
- Wählen Sie einen Speicherort
- Sichern Sie die Datei

<img src="images/1-3_R-Package-save-min.png" style="width: 70%" />


___

### 1c R installieren

- Öffnen Sie im Betriebssystem die gespeicherte Datei
- Es öffnet sich das Installationsprogramm
- Befolgen Sie die Anweisungen ("Fortfahren")

<img src="images/1-4_MacOS-Installation-R-min.png" style="width: 50%" />


___

### Rufen Sie R auf

- Rufen Sie die R.app auf
- Geben Sie 2 +2 als Test ein:

<img src="images/1-5_MacOS-R-App-min.png" style="width: 50%" />

___

### Vergleichen Sie Ihr Ergebnis

- Beenden Sie Ihre Eingabe mit `return`
- Erscheint `[1] 4`? 
- Dann haben Sie R erfolgreich installiert!

<img src="images/1-6_MacOS-R-App-min.png" style="width: 50%" />


___

## Präsentation beenden

Es kann sein, dass der Text Ihrer R-Version leicht unterschiedlich ist. So kann er z.B. komplett in Deutsch geschrieben sein.

***

- Sie beenden nun diese Präsentation mit (**Browser** Pfeil rückwärts)
- ACHTUNG: Browser rückwärts -- und nicht Folien Pfeil links!

---

## 2. Installiere R für Windows

Gehen Sie auf die [Download-Seite für Windows](https://cran.r-project.org/bin/windows/)

<img src="images/2-1_R-Windows-Download-min.png" style="width: 70%" />



___

### Download der aktuellen R-Version

[R Download für Windows](https://cran.r-project.org/bin/windows/base/)

<img src="images/2-2_R-Windows-Download-min.png" style="width: 70%" />


___

### Windows-Bilschirmfotos gesucht

Ich habe leider keine weiteren Screenshots.

Installieren Sie gerade R für Windows?

Dann schicken Sie mir bitte Screenshots. 

Ich baue sie dann in diese Präsentation ein!

---

## Präsentation beenden

- Sie beenden nun diese Präsentation mit (**Browser** Pfeil rückwärts)
- ACHTUNG: Browser rückwärts -- und nicht Folien Pfeil links!




<span class='Z3988' title='url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=blogPost&amp;rft.title=R%20installieren%20(Deutsch)%20::%20Open%20Science%20Education&amp;rft.source=R%20installieren%20(Deutsch)&amp;rft.rights=CC%20BY-SA%204.0&amp;rft.description=Tutorial%20zum%20Installieren%20der%20Statistik-Software%20R&amp;rft.identifier=https%3A%2F%2Fnotes.peter-baumgartner.net%2Fslide%2Finstalliere-r&amp;rft.aufirst=Peter&amp;rft.aulast=Baumgartner&amp;rft.au=Peter%20Baumgartner&amp;rft.date=&amp;rft.language=en'></span>
