---
title: RStudio installieren (Deutsch)
author: Peter Baumgartner
date: '2018-01-03'
categories:
  - german
  - how-to
  - slide
tags:
  - rstudio
  - installation
slides:
  # Choose a theme from https://github.com/hakimel/reveal.js#theming
  theme: black
  # Choose a code highlighting style (if highlighting enabled in `params.toml`)
  #   Light style: github. Dark style: dracula (default).
  highlight_style: dracula
description: Tutorial zum Installieren der R Entwicklungsumgebung RStudio für Mac
  und Windows
---

## Installation von RStudio

Bedienung dieser Diashow

- Steuerungselemente: Pfeile rechts unten
- **Achtung:** Manchmal gibt es außer vor und zurück auch hinauf und hinunter
- Folienstruktur-Überblick: ESC-Taste
- Zoomen: ALT + (STRG für LINUX) KLICK in das Objekt. Noch ein Klick: Herauszoomen.
- Beenden: Mit dem Browser zurück gehen

---

## Voraussetzungen

Bevor wir komfortabel mit R arbeiten können, müssen wir einige Programme installieren

1. Die aktuelle Version von [R](https://cran.r-project.org/)
2. Die aktuelle Version der Entwicklungsumgebung [RStudio](https://www.rstudio.com/products/rstudio/download/)
3. Die aktuelle Version von [LaTeX](https://www.latex-project.org/get/)

Alle Programme sind [Open Source](http://praxistipps.chip.de/open-source-was-ist-das-genau_12877): Sowohl Quellcode als auch Programme sind frei und kostenlos erhältlich.

---

## Installation von RStudio

- R noch nicht installiert? Beginnen Sie mit [diesem Link](http://notes.peter-baumgartner.net/slide/installiere-r/) 
- Ansonsten rufen Sie die [RStudio-Downloadseite](https://www.rstudio.com/products/rstudio/download/#download) auf

<img src="images/download1-rstudio-min.png" style="width: 70%" />
---

## Wählen Sie Mac oder Windows-Downlaod

<img src="images/download2-rstudio-min.png" style="width: 70%" />

---

## Speichern Sie Ihre Programm-Version

- Klicken Sie auf den Download-Link
- Speichern Sie die Installationsdatei
- Entpacken Sie RStudio
- Rufen Sie RStudio dann auf

---

- Es erscheint nun die Entwicklungsumgebung
- Klicken Sie in die obere Leiste, damit Sie alle 4 Fensterbereiche sehen


<img src="images/Rstudio-virgin-min.png" style="width: 60%" />


---

- Erkunden Sie Fenster und Reiter von RStudio

<img src="images/RStudio-4-panes-min.png" style="width: 80%" />

---

- Hilfreich ist auch diesen [Video](https://www.youtube.com/watch?v=riONFzJdXcs)
- Mehr zu Entwicklungsumgebung dann, wenn wir mit R zu arbeiten beginnen

---

## Zusammenfassung

- Es gibt auch YouTube-Videos zum Ansehen
- Die Schritte für Mac und Windows sind ähnlich:
- z.B. für Mac [hier](https://www.youtube.com/watch?v=cX532N_XLIs) und [hier](https://www.youtube.com/watch?v=d-u_7vdag-0)
- und für Windows [hier](https://www.youtube.com/watch?v=MFfRQuQKGYg) und [hier](https://www.youtube.com/watch?v=9-RrkJQQYqY)
- Ein Link, der nochmals [alle Schritte](https://courses.edx.org/courses/UTAustinX/UT.7.01x/3T2014/56c5437b88fa43cf828bff5371c6a924/) zusammenfasst
- Sie sollten jetzt R und RStudio installiert haben

---

## Präsentation beenden

- Sie beenden nun diese Präsentation mit (**Browser** Pfeil rückwärts)
- ACHTUNG: Browser rückwärts -- und nicht Folien Pfeil links!



<span class='Z3988' title='url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=blogPost&amp;rft.title=RStudio%20installieren%20(Deutsch)%20::%20Open%20Science%20Education&amp;rft.source=RStudio%20installieren%20(Deutsch)&amp;rft.rights=CC%20BY-SA%204.0&amp;rft.description=Tutorial%20zum%20Installieren%20der%20R%20Entwicklungsumgebung%20RStudio%20f%C3%BCr%20Mac%20und%20Windows&amp;rft.identifier=https%3A%2F%2Fnotes.peter-baumgartner.net%2Fslide%2Finstalliere-rstudio&amp;rft.aufirst=Peter&amp;rft.aulast=Baumgartner&amp;rft.au=Peter%20Baumgartner&amp;rft.date=&amp;rft.language=en'></span>
