---
title: Wayback Machine Tutorial
author: Peter Baumgartner
date: '2019-07-21'
categories:
  - how-to
  - slide
tags:
  - blogdown
  - hugo
  - installation
slides:
  # Choose a theme from https://github.com/hakimel/reveal.js#theming
  theme: black
  # Choose a code highlighting style (if highlighting enabled in `params.toml`)
  #   Light style: github. Dark style: dracula (default).
  highlight_style: dracula
summary: How to use Wayback Machine to Archive and Retrieve Web Resources
---

## How to use [Wayback Machine](https://web.archive.org/) (Slides)

* Use the controls on the right bottom of the screen.
* Watch out: sometimes there is not only left & right, but also top & down.
* Press `ALT` key (`CTRL` in Linux) and click on any element to zoom towards it. Click again to zoom back out.
* For an overview about the slide structure press `ESC`.
* To end the presentation go back with the browser.

---

## 1. Wayback Machine [Start Page](https://web.archive.org/)

<img src="images/01-web.archive.org-home-min.png" style="width: 70%" />

---


## 2. Choose [Save Page Now](https://web.archive.org/save)

<img src="images/02-save-page-now-min.png" style="width: 70%" />


---

## 3. Saving Page (without Outlinks)

<img src="images/03-saved-page-min.png" style="width: 70%" />


---

## 4. Saving page (with Outlinks)

<img src="images/04-saved-page-with-outgoing-links-min.png" style="width: 70%" />


---


## 5. Captured page

<img src="images/05-captured-snapshot-min.png" style="width: 70%" />


---

## 6. Retrieving archived page

<img src="images/06-retrieved-web-page-min.png" style="width: 70%" />


---

## 7. [Search](https://web.archive.org/) for archived page

<img src="images/07-searching-for-archived-web-pages-min.png" style="width: 70%" />


---

## 8. Calender view of archived page(s)

<img src="images/08-calender-view-of-wayback-machine-min.png" style="width: 70%" />


---

## 9. Collections of archived page(s)

<img src="images/09-show-type-of collections-min.png" style="width: 70%" />


---

## 10. Select captures to compare

<img src="images/10-select-archived-captures-to-compare-min.png" style="width: 70%" />


---

## 11. Compare two captures

<img src="images/11-compare-archived-captures-min.png" style="width: 70%" />


---

## 12. Capture(s) in Site Map view

<img src="images/12-exploring-captured-data-min.png" style="width: 70%" />


---

## 13. Install browser extension

<img src="images/13-wayback-machine-chrome-browser-extension-min.png" style="width: 70%" />


---

## 14. Web page not available

<img src="images/14-web-page-not-available-anymore-min.png" style="width: 70%" />


---

## 15. Retrieved web page

<img src="images/15-retrieved-archived-web-page-min.png" style="width: 70%" />


---

## 16. Access personal web archive

<img src="images/16-access-personal-web-archive-min.png" style="width: 70%" />


---

## 17. Personal web archive

<img src="images/17-personal-web-archive-min.png" style="width: 70%" />

---

## Close presentation

Press back button of your browser.

(not back button of the slide!).

<span class='Z3988' title='url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=blogPost&amp;rft.title=Wayback%20Machine%20Tutorial%20::%20Open%20Science%20Education&amp;rft.source=Wayback%20Machine%20Tutorial&amp;rft.rights=CC%20BY-SA%204.0&amp;rft.description=How%20to%20use%20Wayback%20Machine%20to%20Archive%20and%20Retrieve%20Web%20Resources&amp;rft.identifier=https%3A%2F%2Fnotes.peter-baumgartner.net%2Fslide%2Fwayback-machine-tutorial&amp;rft.aufirst=Peter&amp;rft.aulast=Baumgartner&amp;rft.au=Peter%20Baumgartner&amp;rft.date=&amp;rft.language=en'></span>
